View Issue Details

IDProjectCategoryView StatusLast Update
00304392.x IDE BugsBuild UbuntuPublic2019-02-28 15:10
ReporterStewart BishopAssigned ToRussell Kay 
PriorityMediumSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
PlatformUbuntuOSWindows 10OS Version
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030439: Build Ubuntu: Unable to build YYC if project has a string containing a character from the extended ASCII table
DescriptionDoing so will make you receive the following errors:

Game/gml_Object_object0_Create_0.gml.cpp:5:1: error: constant expression evaluates to 194 which cannot be narrowed to type 'char' [-Wc++11-narrowing]
0xc2, 0xb0, 0x00, // ...
^~~~
Game/gml_Object_object0_Create_0.gml.cpp:5:1: note: insert an explicit cast to silence this issue
0xc2, 0xb0, 0x00, // ...
^~~~
static_cast<char>( )
Game/gml_Object_object0_Create_0.gml.cpp:5:7: error: constant expression evaluates to 176 which cannot be narrowed to type 'char' [-Wc++11-narrowing]
0xc2, 0xb0, 0x00, // ...
      ^~~~
Game/gml_Object_object0_Create_0.gml.cpp:5:7: note: insert an explicit cast to silence this issue
0xc2, 0xb0, 0x00, // ...
      ^~~~
      static_cast<char>( )
2 errors generated.
Steps To Reproduce1) Run the sample on Ubuntu YYC
2) See the error
Tagsigor
2.x IDE Found In2.2.2.384
2.x Runtime Found In2.2.2.296
2.x IDE Verified In2.2.2.397
2.x Runtime Verified In2.2.2.311

Activities

Stewart Bishop

2019-01-23 10:11

Developer  

linux_yyc_ascii_bug.zip (14,966 bytes)

Russell Kay

2019-01-25 14:20

Manager   ~0062513

Fixed in gitlab

Dan

2019-02-06 16:05

Adminstrator   ~0062664

Runtime 304+